using Entities.DTO;
using Entities.DTO.Class;
using SharedDATA.Api;

namespace TechHelper.Services.Beta
{
    public interface IClassService : IBaseService<ClassDto, Guid>
    {
        Task<ApiResponse> GetClassStudentsAsync(Guid classId);
        Task<ApiResponse> UserRegister(RegisterUserToClassDto user);
        Task<ApiResponse> ValidateClassRegistration(ClassValidDto user);
        Task<ApiResponse> GetUserInjoinedClasses(Guid user);
		Task<ApiResponse> GetUserClassRole(Guid id);
		Task<ApiResponse> AdminAddAsync(ClassCreateDto dto);
	}
}
